#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2017]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2012 
#au titre des revenus percus en 2011. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************

 #
                                                                
  ####   #    #    ##    #####      #     #####  #####   ######      #    
 #    #  #    #   #  #   #    #     #       #    #    #  #           #    #
 #       ######  #    #  #    #     #       #    #    #  #####       #    #
 #       #    #  ######  #####      #       #    #####   #           ######
 #    #  #    #  #    #  #          #       #    #   #   #                #
  ####   #    #  #    #  #          #       #    #    #  ######           #
 #
 #
 #
 #
 #
 #
 #                      CALCUL DE L'IMPOT BRUT
 #
 #
 #
 #
 #
 #
 #
regle 401:
application : pro , oceans , bareme, iliad , batch  ;
IRB = IAMD2; 
IRB2 = IAMD2 + TAXASSUR + IPCAPTAXT + IHAUTREVT;
regle 40101:
application : pro , oceans , iliad , batch  ;
KIR =   IAMD3 ;
regle 4011:
application : pro , oceans , bareme , iliad , batch  ;
IAMD1 = IBM13 ;
IAMD2 = IBM23 ;
IAMD2TH = positif_ou_nul(IBM23 - SEUIL_PERCEP)*IBM23;
regle 40110:
application : pro , oceans , bareme , iliad , batch  ;
IAMD3 = IBM33 - min(ACP3, IMPIM3);
regle 402112:
application : pro , oceans , iliad , batch  ;
ANG3 = IAD32 - IAD31;
regle 40220:
application : pro , oceans , iliad , batch  ;
ACP3 = max (0 ,
 somme (a=1..4: min(arr(CHENFa * TX_DPAEAV/100) , SEUIL_AVMAXETU)) - ANG3)
        * (1 - positif(V_CR2 + IPVLOC)) * positif(ANG3) * positif(IMPIM3);
regle 403:
application : pro , oceans , bareme ,iliad , batch  ;

IBM13 = IAD11 + ITP + REI + TAXASSUR + IPCAPTAXT  + IHAUTREVT + AVFISCOPTER ;

IBM23 = IAD11 + ITP + REI + AUTOVERSSUP + AVFISCOPTER ;

regle 404:
application : pro , oceans , bareme , iliad , batch  ;
IBM33 = IAD31 + ITP + REI;
regle 4041:
application : pro , oceans , iliad , batch  ;
TX_RED0 =  inf ( (100 - ((TX_RABGUY * V_EAG) + (TX_RABDOM * V_EAD))
	     ) * TXGAIN0  / 100 * positif(V_EAD + V_EAG)
	   );
TX_RED1 =  inf ( (100 - ((TX_RABGUY * V_EAG) + (TX_RABDOM * V_EAD))
	     ) * TXGAIN1 / 100 * positif(V_EAD + V_EAG)
	   );
DOMAVTO = arr(BN1 + SPEPV + BI12F + BA1) * ((TXGAIN0 - TX_RED0)/100) * positif(V_EAD)
          + arr(BN1 + SPEPV + BI12F + BA1) * ((TXGAIN0 - TX_RED0)/100) * positif(V_EAG);
DOMABDB = max(PLAF_RABDOM - ABADO , 0) * positif(V_EAD)
          + max(PLAF_RABGUY - ABAGU , 0) * positif(V_EAG);
DOMDOM = max(DOMAVTO - DOMABDB , 0) * positif(V_EAD + V_EAG);

ITP = arr((BTP2 * TXGAIN2/100) + (BPTP4 * TXGAIN3/100) 
       + ((BN1 + SPEPV + BI12F + BA1) * positif(V_EAG+V_EAD) * TX_RED0/100) 
       + (BPVCESDOM * positif(V_EAG+V_EAD) * TX_RED1/100) 
       + (BTP40 * TXGAIN4/100)
       + DOMDOM * positif(V_EAD + V_EAG)
       + (BPV18 * TXGAIN5/100)
       + (BTP3G * TXGAIN1/100)
       + (BTP3N * TXGAIN1/100)
       + ((BN1 + SPEPV + BI12F + BA1) * (1-positif(V_EAG + V_EAD)) * TXGAIN0/100) 
       + (BPVCESDOM * (1-positif(V_EAG + V_EAD)) * TXGAIN1/100)
       + (BPTP5 * TXGAIN1/100) * (1 - positif(null(5 - V_REGCO)+null(6 - V_REGCO)))
       + (BPTP5 * TX11/100) * null(6 - V_REGCO)
       + (BPTP5 * TX13/100) * null(5 - V_REGCO)
	  )
       * (1-positif(IPVLOC)) * (1 - positif(present(TAX1649)+present(RE168))); 

regle 40413:
application : pro , oceans , iliad , batch  ;
BTP3A = (BN1 + SPEPV + BI12F + BA1) * (1 - positif( IPVLOC )); 
BTP3N = (BPVKRI) * (1 - positif( IPVLOC )); 
BTP3G = (BPVRCM) * (1 - positif( IPVLOC )); 
BTP2 = PEA * (1 - positif( IPVLOC )); 
BTP40 = BPV40 * (1 - positif( IPVLOC )); 
BTP18 = BPV18 * (1 - positif( IPVLOC )); 
BTP5 = PVIMPOS * (1 - positif( IPVLOC )); 

REVTP1 = max(0,BPVRCM + ABDETPLUS + ABIMPPV - DPVRCM - ABDETMOINS - ABIMPMV) + BPVCESDOM + BPV18 + BPV40 + BPCOPT + BPVKRI + PEA ;

regle 4042:
application : pro , oceans , iliad , batch  ;


REI = IPREP+IPPRICORSE;

regle 40421:
application : pro , oceans , iliad , batch  ;


PPERSATOT = RSAFOYER + RSAPAC1 + RSAPAC2 ;

PPERSA = min(PPETOT,PPERSATOT) * (1 - V_CNR) ;

PPEFINAL = PPETOT - PPERSA ;

regle 405:
application : pro , oceans , bareme , iliad , batch  ;


IAD11 = ( max(0,IDOM11-DEC11-RED) *(1-positif(V_CR2+IPVLOC))
        + positif(V_CR2+IPVLOC) *max(0 , IDOM11 - RED) )
                                * (1-positif(RE168+TAX1649))
        + positif(RE168+TAX1649) * IDOM16;

regle 406:
application : pro , oceans , bareme , iliad , batch  ;
IAD31 = ((IDOM31-DEC31)*(1-positif(V_CR2+IPVLOC)))
        +(positif(V_CR2+IPVLOC)*IDOM31);
IAD32 = ((IDOM32-DEC32)*(1-positif(V_CR2+IPVLOC)))
        +(positif(V_CR2+IPVLOC)*IDOM32);

regle 4052:
application : pro , oceans , bareme , iliad , batch  ;

IMPIM3 =  IAD31 ;

regle 4061:
application : pro , oceans , bareme , iliad , batch  ;
pour z = 1,2:
DEC1z = min (max( arr(SEUIL_DECOTE/2 - (IDOM1z/2)),0),IDOM1z) * (1 - V_CNR);

pour z = 1,2:
DEC3z = min (max( arr(SEUIL_DECOTE/2 - (IDOM3z/2)),0),IDOM3z) * (1 - V_CNR);

DEC6 = min (max( arr(SEUIL_DECOTE/2 - (IDOM16/2)),0),IDOM16) * (1 - V_CNR);
regle 407:
application : pro ,   oceans , iliad   , batch ;

RED =  RCOTFOR + RSURV + RCOMP + RHEBE + RREPA + RDIFAGRI + RDONS
       + RCELTOT
       + RSYND + RRESTIMO + RPECHE 
       + RFIPC + RFIPDOM + RAIDE + RNOUV 
       + RTOURNEUF + RTOURTRA + RTOURREP 
       + RTOUREPA + RTOURES + RTOUHOTR  
       + RLOGDOM + RLOGSOC + RDOMSOC1 + RLOCENT + RCOLENT
       + RRETU + RINNO + RRPRESCOMP + RFOR 
       + RSOUFIP + RRIRENOV + RSOCREPR + RRESIMEUB + RRESINEUV + RRESIVIEU
       + RREDMEUB + RREDREP + RINVRED + RMEUBLE + RPROREP + RREPNPRO + RREPMEU
       + RIDOMPROE3 + RIDOMPROE4 + RIDOMPROE5
       + RPATNAT1 + RPATNAT
       + RFORET + RTITPRISE + RCREAT + RCINE ;


REDTL = ASURV + ACOMP ;

CIMPTL = ATEC + ADEVDUR + BGERET ;

regle 4070:
application : bareme ;
RED = V_9UY;
regle 4025:
application : pro ,   oceans , iliad , batch  ;

PLAFDOMPRO1 = max(0 , RRI1-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA-RCOMP-RCREAT-RRETU
		      -RDONS-RNOUV-RLOGSOC-RDOMSOC1-RCELTOT-RLOCNPRO-RPATNAT1-RPATNAT
                 );
RIDOMPROE5 =  min(REPINVDOMPRO1,PLAFDOMPRO1) * (1 - V_CNR);

REPDOMENTR5 = positif (REPINVDOMPRO1- PLAFDOMPRO1)* (REPINVDOMPRO1 - PLAFDOMPRO1)* (1 -V_CNR);


PLAFDOMPRO2 = positif(PLAFDOMPRO1 - REPINVDOMPRO1)* (PLAFDOMPRO1 - REPINVDOMPRO1)* (1 -V_CNR); 
RIDOMPROE4 = min(REPINVDOMPRO2,PLAFDOMPRO2) * (1 - V_CNR);
REPDOMENTR4 = positif (REPINVDOMPRO2 - PLAFDOMPRO2)* (REPINVDOMPRO2 - PLAFDOMPRO2)* (1 -V_CNR);


PLAFDOMPRO3 = positif(PLAFDOMPRO2 - REPINVDOMPRO2)* (PLAFDOMPRO2 - REPINVDOMPRO2)* (1 -V_CNR); 
RIDOMPROE3 = min(REPINVDOMPRO3,PLAFDOMPRO3) * (1 - V_CNR);
REPDOMENTR3 = positif (REPINVDOMPRO3 - PLAFDOMPRO3)* (REPINVDOMPRO3 - PLAFDOMPRO3)* (1 -V_CNR);


RIDOMPROTOT = RIDOMPROE3 + RIDOMPROE4 + RIDOMPROE5;

RINVEST = RIDOMPROE3  + RIDOMPROE4 + RIDOMPROE5 ;
RIDOMPRO = REPINVDOMPRO1 + REPINVDOMPRO2 + REPINVDOMPRO3 ;

DIDOMPRO = RIDOMPRO * (1 - V_CNR) ;
regle 40749:
application : pro ,   oceans , iliad , batch  ;

DFORET = FORET ;

AFORET = max(min(DFORET,LIM_FORET),0) * (1-V_CNR) ;

RAFORET = arr(AFORET*TX_FORET/100) * (1-V_CNR) ;

RFORET =  max( min( RAFORET , IDOM11-DEC11-RCOTFOR-RREPA-RSYND-RFIPDOM-RAIDE-RDIFAGRI) , 0 ) ;

regle 4075:
application : pro , oceans , iliad , batch ;

DFIPC = FIPCORSE ;

AFIPC = max( min(DFIPC , LIM_FIPCORSE * (1 + BOOL_0AM)) , 0) * (1 - V_CNR) ;

RFIPCORSE = arr(AFIPC * TX_FIPCORSE/100) * (1 - V_CNR) ;

RFIPC = max( min( RFIPCORSE , IDOM11-DEC11-RCOTFOR-RREPA-RSYND-RFIPDOM-RAIDE-RDIFAGRI-RFORET) , 0) ;

regle 40751:
application : pro , oceans , iliad , batch ;

DFIPDOM = FIPDOMCOM ;

AFIPDOM = max( min(DFIPDOM , LIMFIPDOM * (1 + BOOL_0AM)) , 0) * (1 - V_CNR) ;

RFIPDOMCOM = arr(AFIPDOM * TXFIPDOM/100) * (1 - V_CNR) ;

RFIPDOM = max( min( RFIPDOMCOM , IDOM11-DEC11-RCOTFOR-RREPA-RSYND) , 0) ;

regle 4076:
application : pro ,   oceans , iliad , batch  ;
BSURV = min( RDRESU , PLAF_RSURV + PLAF_COMPSURV * (EAC + V_0DN) + PLAF_COMPSURVQAR * (V_0CH + V_0DP) );
RRS = arr( BSURV * TX_REDSURV / 100 ) * (1 - V_CNR);
DSURV = RDRESU;
ASURV = BSURV * (1-V_CNR) ;
RSURV = max( min( RRS , IDOM11-DEC11-RCOTFOR-RREPA-RSYND-RFIPDOM-RAIDE-RDIFAGRI-RFORET-RFIPC
			-RCINE-RRESTIMO-RPECHE-RSOCREPR-RRPRESCOMP-RHEBE ) , 0 );

regle 4100:
application : pro , oceans , iliad , batch ;

RRCN = arr(  min( CINE1 , min( max(SOFIRNG,RNG) * TX_CINE3/100 , PLAF_CINE )) * TX_CINE1/100
        + min( CINE2 , max( min( max(SOFIRNG,RNG) * TX_CINE3/100 , PLAF_CINE ) - CINE1 , 0)) * TX_CINE2/100 
       ) * (1 - V_CNR) ;

DCINE = CINE1 + CINE2 ;

ACINE = max(0,min( CINE1 + CINE2 , min( arr(SOFIRNG * TX_CINE3/100) , PLAF_CINE ))) * (1 - V_CNR);

RCINE = max( min( RRCN , IDOM11-DEC11-RCOTFOR-RREPA-RSYND-RFIPDOM-RAIDE-RDIFAGRI-RFORET-RFIPC) , 0 ) ;
regle 4176:
application : pro ,   oceans , iliad , batch  ;
BSOUFIP = min( FFIP , LIM_SOUFIP * (1 + BOOL_0AM));
RFIP = arr( BSOUFIP * TX_REDFIP / 100 ) * (1 - V_CNR);
DSOUFIP = FFIP;
ASOUFIP = BSOUFIP * (1-V_CNR) ;
RSOUFIP = max( min( RFIP , IDOM11-DEC11-RCOTFOR-RREPA-RSYND-RFIPDOM-RAIDE-RDIFAGRI-RFORET-RFIPC
			   -RCINE-RRESTIMO-RPECHE-RSOCREPR-RRPRESCOMP-RHEBE-RSURV-RTITPRISE-RINNO) , 0 );

regle 4200:
application : pro ,   oceans , iliad , batch  ;

BRENOV = min(RIRENOV,PLAF_RENOV) ;
RENOV = arr( BRENOV * TX_RENOV / 100 ) * (1 - V_CNR) ;

DRIRENOV = RIRENOV ;
ARIRENOV = BRENOV * (1 - V_CNR) ;
RRIRENOV = max( min( RENOV , IDOM11-DEC11-RCOTFOR-RREPA-RSYND-RFIPDOM-RAIDE-RDIFAGRI-RFORET-RFIPC-RCINE
			     -RRESTIMO-RPECHE-RSOCREPR-RRPRESCOMP-RHEBE-RSURV-RTITPRISE-RINNO-RSOUFIP) , 0 );

regle 40771:
application : pro ,   oceans , iliad , batch  ;
RFC = min(RDCOM,PLAF_FRCOMPTA * max(1,NBACT)) * present(RDCOM)*(1-V_CNR);
NCOMP = max(1,NBACT)* present(RDCOM) * (1-V_CNR);
DCOMP = RDCOM;
ACOMP = RFC;
regle 10040771:
application : pro ,   oceans , iliad , batch  ;
RCOMP = max(min( RFC , RRI1-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA-RCREAT) , 0) ;

regle 4078:
application : pro ,   oceans , iliad , batch  ;

BCEL_2011 = arr( min(( CELLIERNA + CELLIERNC + CELLIERND + CELLIERNE + CELLIERNF + CELLIERNH
		     + CELLIERNI + CELLIERNJ + CELLIERNK + CELLIERNM + CELLIERNN + CELLIERNO  + 0 ), LIMCELLIER ) /9 );

BCELCOM2011 = arr( min(( CELLIERNP + CELLIERNR + CELLIERNS + CELLIERNT + 0 ), LIMCELLIER ) /5 );

BCEL_NBGL = arr( min(( CELLIERNB + CELLIERNG + CELLIERNL + 0), LIMCELLIER ) /9 );

BCEL_NQ = arr( min(( CELLIERNQ + 0), LIMCELLIER ) /5 );


BCEL_HNO = arr ( min ((CELLIERHN + CELLIERHO + 0 ), LIMCELLIER ) /9 );
BCEL_HJK = arr ( min ((CELLIERHJ + CELLIERHK + 0 ), LIMCELLIER ) /9 );

BCEL_HL = arr ( min ((CELLIERHL + 0 ), LIMCELLIER ) /9 );
BCEL_HM = arr ( min ((CELLIERHM + 0 ), LIMCELLIER ) /9 );


DCELRREDLA = CELRREDLA;
ACELRREDLA = CELRREDLA * (1 - V_CNR);


DCELRREDLB = CELRREDLB;
ACELRREDLB = CELRREDLB * (1 - V_CNR);


DCELRREDLC = CELRREDLC;
ACELRREDLC = CELRREDLC * (1 - V_CNR);


DCELREPHS = CELREPHS; 
ACELREPHS = DCELREPHS * (1 - V_CNR); 


DCELREPHR = CELREPHR ;    
ACELREPHR = DCELREPHR * (1 - V_CNR);


DCELREPHU = CELREPHU; 
ACELREPHU = DCELREPHU * (1 - V_CNR); 


DCELREPHT = CELREPHT; 
ACELREPHT = DCELREPHT * (1 - V_CNR); 


DCELREPHZ = CELREPHZ; 
ACELREPHZ = DCELREPHZ * (1 - V_CNR); 


DCELREPHX = CELREPHX; 
ACELREPHX = DCELREPHX * (1 - V_CNR); 


DCELREPHW = CELREPHW; 
ACELREPHW = DCELREPHW * (1 - V_CNR); 


DCELREPHV = CELREPHV; 
ACELREPHV = DCELREPHV * (1 - V_CNR); 


DCELHM = CELLIERHM ; 
ACELHM = (positif_ou_nul( CELLIERHM) * BCEL_HM) * (1-V_CNR); 


DCELHL = CELLIERHL ;    
ACELHL = (positif_ou_nul( CELLIERHL) * BCEL_HL) * (1-V_CNR); 


DCELHNO = CELLIERHN + CELLIERHO ;
ACELHNO = (positif_ou_nul( CELLIERHN + CELLIERHO ) * BCEL_HNO) * (1-V_CNR) ;


DCELHJK = CELLIERHJ + CELLIERHK ;
ACELHJK = (positif_ou_nul( CELLIERHJ + CELLIERHK ) * BCEL_HJK) * (1-V_CNR);


DCELNQ =   CELLIERNQ;
ACELNQ = (positif_ou_nul( CELLIERNQ) * BCEL_NQ) * (1-V_CNR);


DCELCOM =   CELLIERNP + CELLIERNR + CELLIERNS + CELLIERNT;
ACELCOM = (positif_ou_nul(CELLIERNP + CELLIERNR + CELLIERNS + CELLIERNT) * BCELCOM2011) * (1-V_CNR);


DCELNBGL =   CELLIERNB + CELLIERNG + CELLIERNL;
ACELNBGL = (positif_ou_nul( CELLIERNB + CELLIERNG + CELLIERNL ) * BCEL_NBGL) * (1-V_CNR);


CELSOMN = CELLIERNA+CELLIERNC+CELLIERND+CELLIERNE+CELLIERNF+CELLIERNH
	 +CELLIERNI+CELLIERNJ+CELLIERNK+CELLIERNM+CELLIERNN+CELLIERNO;  

DCEL = CELSOMN ; 

ACEL = (positif_ou_nul( CELSOMN ) * BCEL_2011) * (1-V_CNR);



RCEL_2011 = (  positif(CELLIERNA + CELLIERNE) * arr (ACEL * (TX22/100))
            + positif(CELLIERNC + CELLIERND + CELLIERNH) * arr (ACEL * (TX25/100))
            + positif(CELLIERNF + CELLIERNJ) * arr (ACEL * (TX13/100))
            + positif(CELLIERNI) * arr (ACEL * (TX15/100))
	    + positif(CELLIERNM + CELLIERNN) * arr (ACEL * (TX40/100))
	    + positif(CELLIERNK + CELLIERNO) * arr (ACEL * (TX36/100))
           ) * (1 - V_CNR);

RCEL_COM = (  positif(CELLIERNP + CELLIERNT) * arr (ACELCOM * (TX36/100))
               + positif(CELLIERNR + CELLIERNS) * arr (ACELCOM * (TX40/100)) 
              ) * (1 - V_CNR);

RCEL_NBGL = (  positif(CELLIERNB) * arr(ACELNBGL * (TX25/100))
	       + positif(CELLIERNG) * arr(ACELNBGL * (TX15/100))
	       + positif(CELLIERNL) * arr(ACELNBGL * (TX40/100))
              ) * (1 - V_CNR);

RCEL_NQ = ( positif(CELLIERNQ) * arr(ACELNQ * (TX40/100)) ) * (1 - V_CNR);


RCEL_HNO = (  positif(CELLIERHN) * arr(ACELHNO * (TX25/100))
	       + positif(CELLIERHO) * arr(ACELHNO * (TX40/100))
              ) * (1 - V_CNR);

RCEL_HJK = (  positif(CELLIERHJ) * arr(ACELHJK * (TX25/100))
	      + positif(CELLIERHK) * arr(ACELHJK * (TX40/100))
             ) * (1 - V_CNR);


RCELDOM = (positif(CELLIERHK + CELLIERHO) * arr (ACELDO * (TX40/100))) 
             * (1 - V_CNR);                           

RCELM = (positif( CELLIERHJ + CELLIERHN ) * arr (ACELMET * (TX25/100)))
             * (1 - V_CNR);                           


RCEL_HM = positif(CELLIERHM) * arr (ACELHM * (TX40/100)) 
             * (1 - V_CNR);                           

RCEL_HL = positif( CELLIERHL ) * arr (ACELHL * (TX25/100))
             * (1 - V_CNR);                           
RCELREP_HS = positif(CELREPHS) * arr (CELREPHS * (TX40/100)) * (1 - V_CNR);

RCELREP_HR = positif( CELREPHR ) * arr (CELREPHR * (TX25/100)) * (1 - V_CNR);

RCELREP_HU = positif( CELREPHU ) * arr (CELREPHU * (TX40/100)) * (1 - V_CNR);

RCELREP_HT = positif( CELREPHT ) * arr (CELREPHT * (TX25/100)) * (1 - V_CNR);

RCELREP_HZ = positif( CELREPHZ ) * arr (CELREPHZ * (TX40/100)) * (1 - V_CNR);

RCELREP_HX = positif( CELREPHX ) * arr (CELREPHX * (TX25/100)) * (1 - V_CNR);

RCELREP_HW = positif( CELREPHW ) * arr (CELREPHW * (TX40/100)) * (1 - V_CNR);

RCELREP_HV = positif( CELREPHV ) * arr (CELREPHV * (TX25/100)) * (1 - V_CNR);

regle 2004078:
application : pro ,   oceans , iliad , batch  ;


RCELRREDLA = (max( min( CELRREDLA , IDOM11-DEC11
           -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAIDE-RDIFAGRI-RFORET
	   -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
	   -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	   -RCOMP-RCREAT-RRETU-RDONS-RNOUV) , 0 ))
	    * (1 - V_CNR);

RCELRREDLB = (max( min( CELRREDLB , IDOM11-DEC11
           -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAIDE-RDIFAGRI-RFORET
	   -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
	   -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	   -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA ) , 0 ))
	    * (1 - V_CNR);

RCELRREDLC = (max( min( CELRREDLC , IDOM11-DEC11
           -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAIDE-RDIFAGRI-RFORET
	   -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
	   -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	   -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB ) , 0 ))
	    * (1 - V_CNR);

RCELREPHS = (max( min( RCELREP_HS , IDOM11-DEC11
	    -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAD-RDIFAGRI-RFORET
	    -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
            -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	    -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB-RCELRREDLC ) , 0))
	    * (1 - V_CNR);

RCELREPHR = (max( min( RCELREP_HR , IDOM11-DEC11
	    -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAD-RDIFAGRI-RFORET
	    -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
            -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	    -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB-RCELRREDLC-RCELREPHS) , 0))
	    * (1 - V_CNR);

RCELREPHU = (max( min( RCELREP_HU, IDOM11-DEC11
            -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAD-RDIFAGRI-RFORET
	    -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
	    -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	    -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB-RCELRREDLC-RCELREPHS
	    -RCELREPHR) , 0))
            * (1 - V_CNR);

RCELREPHT = (max( min( RCELREP_HT, IDOM11-DEC11
	    -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAD-RDIFAGRI-RFORET
	    -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
            -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	    -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB-RCELRREDLC-RCELREPHS
	    -RCELREPHR-RCELREPHU) , 0))
	    * (1 - V_CNR);

RCELREPHZ = (max( min( RCELREP_HZ, IDOM11-DEC11
	    -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAD-RDIFAGRI-RFORET
	    -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
            -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	    -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB-RCELRREDLC-RCELREPHS
	    -RCELREPHR-RCELREPHU-RCELREPHT) , 0))
	    * (1 - V_CNR);

RCELREPHX = (max( min( RCELREP_HX, IDOM11-DEC11
	    -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAD-RDIFAGRI-RFORET
	    -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
            -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	    -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB-RCELRREDLC-RCELREPHS
	    -RCELREPHR-RCELREPHU-RCELREPHT-RCELREPHZ) , 0))
	    * (1 - V_CNR);

RCELREPHW = (max( min( RCELREP_HW, IDOM11-DEC11
	    -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAD-RDIFAGRI-RFORET
	    -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
            -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	    -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB-RCELRREDLC-RCELREPHS
	    -RCELREPHR-RCELREPHU-RCELREPHT-RCELREPHZ-RCELREPHX) , 0))
	    * (1 - V_CNR);

RCELREPHV = (max( min( RCELREP_HV, IDOM11-DEC11
	    -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAD-RDIFAGRI-RFORET
	    -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
            -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	    -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB-RCELRREDLC-RCELREPHS
	    -RCELREPHR-RCELREPHU-RCELREPHT-RCELREPHZ-RCELREPHX-RCELREPHW) , 0))
	    * (1 - V_CNR);

RCELHM = (max( min( RCEL_HM, IDOM11-DEC11
	  -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAD-RDIFAGRI-RFORET
          -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
          -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	  -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB-RCELRREDLC-RCELREPHS
	  -RCELREPHR-RCELREPHU-RCELREPHT-RCELREPHZ-RCELREPHX-RCELREPHW-RCELREPHV) , 0 ))
	   * (1 - V_CNR);

RCELHL = (max( min( RCEL_HL , IDOM11-DEC11
	  -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAD-RDIFAGRI-RFORET
          -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
          -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	  -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB-RCELRREDLC-RCELREPHS
	  -RCELREPHR-RCELREPHU-RCELREPHT-RCELREPHZ-RCELREPHX-RCELREPHW-RCELREPHV
	  -RCELHM) , 0 ))
	   * (1 - V_CNR);

RCELHNO = (max( min( RCEL_HNO, IDOM11-DEC11
	  -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAIDE-RDIFAGRI-RFORET
          -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
          -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	  -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB-RCELRREDLC-RCELREPHS
	  -RCELREPHR-RCELREPHU-RCELREPHT-RCELREPHZ-RCELREPHX-RCELREPHW-RCELREPHV
	  -RCELHM-RCELHL) , 0 ))
	   * (1 - V_CNR);

RCELHJK = (max( min( RCEL_HJK , IDOM11-DEC11
	  -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAIDE-RDIFAGRI-RFORET
          -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
          -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	  -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB-RCELRREDLC-RCELREPHS
	  -RCELREPHR-RCELREPHU-RCELREPHT-RCELREPHZ-RCELREPHX-RCELREPHW-RCELREPHV
	  -RCELHM-RCELHL-RCELHNO) , 0 ))
	   * (1 - V_CNR);

RCELNQ = (max( min(RCEL_NQ, IDOM11-DEC11
	 -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAIDE-RDIFAGRI-RFORET
	 -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
	 -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	 -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB-RCELRREDLC-RCELREPHS
	 -RCELREPHR-RCELREPHU-RCELREPHT-RCELREPHZ-RCELREPHX-RCELREPHW-RCELREPHV
	 -RCELHM-RCELHL-RCELHNO-RCELHJK ) , 0 ))
	 * (1 - V_CNR);

RCELCOM = (max( min(RCEL_COM, IDOM11-DEC11
          -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAIDE-RDIFAGRI-RFORET
	  -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
	  -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	  -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB-RCELRREDLC-RCELREPHS
	  -RCELREPHR-RCELREPHU-RCELREPHT-RCELREPHZ-RCELREPHX-RCELREPHW-RCELREPHV
	  -RCELHM-RCELHL-RCELHNO-RCELHJK-RCELNQ ) , 0 ))
	  * (1 - V_CNR);

RCELNBGL = (max( min(RCEL_NBGL, IDOM11-DEC11
           -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAIDE-RDIFAGRI-RFORET
	   -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
	   -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	   -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB-RCELRREDLC-RCELREPHS
	   -RCELREPHR-RCELREPHU-RCELREPHT-RCELREPHZ-RCELREPHX-RCELREPHW-RCELREPHV
	   -RCELHM-RCELHL-RCELHNO-RCELHJK-RCELNQ-RCELCOM ) , 0 ))
	   * (1 - V_CNR);

RCEL = (max( min(RCEL_2011, IDOM11-DEC11
            -RCOTFOR-RREPA-RSYND-RRESTIMO-RPECHE-RFIPC-RFIPDOM-RAIDE-RDIFAGRI-RFORET
	    -RTITPRISE-RCINE-RSOCREPR-RRPRESCOMP-RINNO-RSOUFIP-RRIRENOV-RFOR-RHEBE
	    -RSURV-RLOGDOM-RTOURNEUF-RTOURTRA-RTOURES-RTOURREP-RTOUHOTR-RTOUREPA
	    -RCOMP-RCREAT-RRETU-RDONS-RNOUV-RCELRREDLA-RCELRREDLB-RCELRREDLC-RCELREPHS
	    -RCELREPHR-RCELREPHU-RCELREPHT-RCELREPHZ-RCELREPHX-RCELREPHW-RCELREPHV
	    -RCELHM-RCELHL-RCELHNO-RCELHJK-RCELNQ-RCELCOM-RCELNBGL ) , 0 ))
	     * (1 - V_CNR);

RCELTOT = RCELRREDLA+RCELRREDLB+RCELRREDLC+RCELREPHS+RCELREPHR+RCELREPHU+RCELREPHT+RCELREPHZ
	+ RCELREPHX+RCELREPHW+RCELREPHV+RCELHM+RCELHL+RCELHNO+RCELHJK+RCELNQ+RCELCOM+RCELNBGL
	+ RCEL ;  



RIVCEL1 =  RCEL_2011 * positif(ACEL); 

RIVCEL2 = RIVCEL1;

RIVCEL3 = RIVCEL1;

RIVCEL4 = RIVCEL1;

RIVCEL5 = RIVCEL1;

RIVCEL6 = RIVCEL1;

RIVCEL7 = RIVCEL1;

RIVCEL8 = (arr((min (CELSOMN,LIMCELLIER) * positif(CELLIERNM+CELLIERNN) * (TX40/100))
          +(min (CELSOMN,LIMCELLIER) * positif(CELLIERNK+CELLIERNO) * (TX36/100))
	  +(min (CELSOMN,LIMCELLIER) * positif(CELLIERNC+CELLIERND+CELLIERNH) * (TX25/100))
	  +(min (CELSOMN,LIMCELLIER) * positif(CELLIERNA+CELLIERNE) * (TX22/100))
	  +(min (CELSOMN,LIMCELLIER) * positif(CELLIERNI) * (TX15/100))
	  +(min (CELSOMN,LIMCELLIER) * positif(CELLIERNF+CELLIERNJ) * (TX13/100)))
	  -( 8 * RIVCEL1))
	  * (1 - V_CNR);


RIVCELNBGL1 =  RCEL_NBGL * positif(ACELNBGL); 

RIVCELNBGL2 = RIVCELNBGL1;

RIVCELNBGL3 = RIVCELNBGL1;

RIVCELNBGL4 = RIVCELNBGL1;

RIVCELNBGL5 = RIVCELNBGL1;

RIVCELNBGL6 = RIVCELNBGL1;

RIVCELNBGL7 = RIVCELNBGL1;

RIVCELNBGL8 = (arr((min (CELLIERNB+CELLIERNG+CELLIERNL,LIMCELLIER) * positif(CELLIERNB) * (TX25/100))
          +(min (CELLIERNB+CELLIERNG+CELLIERNL,LIMCELLIER) * positif(CELLIERNG) * (TX15/100))
	  +(min (CELLIERNB+CELLIERNG+CELLIERNL,LIMCELLIER) * positif(CELLIERNL) * (TX40/100)))
	  -( 8 * RIVCELNBGL1))
	  * (1 - V_CNR);


RIVCELCOM1 =  RCEL_COM * positif(ACELCOM); 

RIVCELCOM2 = RIVCELCOM1;

RIVCELCOM3 = RIVCELCOM1;

RIVCELCOM4 = (arr((min (CELLIERNP+CELLIERNR+CELLIERNS+CELLIERNT, LIMCELLIER) * positif(CELLIERNP+CELLIERNT) * (TX36/100))
          +(min (CELLIERNP+CELLIERNR+CELLIERNS+CELLIERNT,LIMCELLIER) * positif(CELLIERNR+CELLIERNS) * (TX40/100)))
	  -( 4 * RIVCELCOM1))
	  * (1 - V_CNR);


RIVCELNQ1 =  RCEL_NQ * positif(ACELNQ); 

RIVCELNQ2 = RIVCELNQ1;

RIVCELNQ3 = RIVCELNQ1;

RIVCELNQ4 = (arr((min (CELLIERNQ, LIMCELLIER) * positif(CELLIERNQ) * (TX40/100)))
	  -( 4 * RIVCELNQ1))
	  * (1 - V_CNR);


RIVCELHJK1 = RCEL_HJK * positif(ACELHJK) ; 

RIVCELHJK2 = RIVCELHJK1;

RIVCELHJK3 = RIVCELHJK1;

RIVCELHJK4 = RIVCELHJK1;

RIVCELHJK5 = RIVCELHJK1;

RIVCELHJK6 = RIVCELHJK1;

RIVCELHJK7 = RIVCELHJK1;

RIVCELHJK8 = (arr((min ((CELLIERHK + CELLIERHJ + 0 ), LIMCELLIER ) * positif(CELLIERHJ) * (TX25/100))
	     + (min ((CELLIERHK + CELLIERHJ + 0 ), LIMCELLIER ) * positif(CELLIERHK) * (TX40/100)))  
	     - ( 8 * RIVCELHJK1))
	     * (1 - V_CNR);

RIVCELHNO1 = RCEL_HNO * positif(ACELHNO) ; 

RIVCELHNO2 = RIVCELHNO1;

RIVCELHNO3 = RIVCELHNO1;

RIVCELHNO4 = RIVCELHNO1;

RIVCELHNO5 = RIVCELHNO1;

RIVCELHNO6 = RIVCELHNO1;

RIVCELHNO7 = RIVCELHNO1;

RIVCELHNO8 = (arr((min ((CELLIERHN + CELLIERHO + 0 ), LIMCELLIER ) * positif(CELLIERHN) * (TX25/100))
	     + (min ((CELLIERHN + CELLIERHO + 0 ), LIMCELLIER ) * positif(CELLIERHO) * (TX40/100)))  
	     - ( 8 * RIVCELHNO1))
	     * (1 - V_CNR);

RIVCELHLM1 = RCEL_HL * positif(ACELHL) + RCEL_HM * positif(ACELHM); 

RIVCELHLM2 = RIVCELHLM1;

RIVCELHLM3 = RIVCELHLM1;

RIVCELHLM4 = RIVCELHLM1;

RIVCELHLM5 = RIVCELHLM1;

RIVCELHLM6 = RIVCELHLM1;

RIVCELHLM7 = RIVCELHLM1;

RIVCELHLM8 = (arr((min ((CELLIERHL + CELLIERHM + 0 ), LIMCELLIER ) * positif(CELLIERHL) * (TX25/100))
	     + (min ((CELLIERHL + CELLIERHM + 0 ), LIMCELLIER ) * positif(CELLIERHM) * (TX40/100)))  
	     - ( 8 * RIVCELHLM1))
	     * (1 - V_CNR);


RRCEL = (max(0, RCEL_2011 - RCEL)) * positif(CELSOMN) * (1 - V_CNR)
        + (max(0, RCEL_COM - RCELCOM)) * positif(somme(i=P,R,S,T:CELLIERNi)) * (1 - V_CNR);


RRCELBGLQ = (max(0, RCEL_NBGL+RCEL_NQ - RCELNBGL-RCELNQ)) 
	    * positif(somme(i=B,G,L,Q:CELLIERNi)) * (1 - V_CNR);

RRCELLA = (max(0, ACELRREDLA - RCELRREDLA)) * positif(CELRREDLA) * (1 - V_CNR); 


RRCELLB = (max(0, ACELRREDLB - RCELRREDLB)) * positif(CELRREDLB) * (1 - V_CNR); 


RRCELHH = (max(0, 
                   RCEL_HL+RCEL_HM+RCEL_HNO + somme(i=R,S,T,U,X,Z:RCELREP_Hi)
                 -(RCELHL +RCELHM +RCELHNO  + somme(i=R,S,T,U,X,Z:RCELREPHi))))
               * positif(somme(i=R,S,T,U,X,Z:CELREPHi)+somme(i=L,M,N,O:CELLIERHi))
	       * (1 - V_CNR);


RRCELLC = (max(0, ACELRREDLC - RCELRREDLC)) * positif(CELRREDLC) * (1 - V_CNR);

RRCELVWJK = (max(0,RCEL_HJK+RCELREP_HV+RCELREP_HW - RCELHJK-RCELREPHV-RCELREPHW)) 
	    * positif(CELREPHV+CELREPHW+CELLIERHJ+CELLIERHK) * (1 - V_CNR);

	 
REPCEL = somme(i=1,2,3,4,5,6,7 : RIVCELi) + RIVCEL8;  
REPCELNBGL = somme(i=1,2,3,4,5,6,7 : RIVCELNBGLi) + RIVCELNBGL8;  
REPCELCOM = somme(i=1,2,3 : RIVCELCOMi) + RIVCELCOM4;  
REPCELNQ = somme(i=1,2,3 : RIVCELNQi) + RIVCELNQ4;  
REPCELHJK = somme(i=1,2,3,4,5,6,7 : RIVCELHJKi) + RIVCELHJK8;  
REPCELHNO = somme(i=1,2,3,4,5,6,7 : RIVCELHNOi) + RIVCELHNO8;  
REPCELHLM = somme(i=1,2,3,4,5,6,7 : RIVCELHLMi) + RIVCELHLM8;  

regle 4079:
application : pro ,   oceans , iliad , batch  ;

BILNEUF= min (INVLOCNEUF , arr( LIMLOC * (1+BOOL_0AM) /6) ) ;
BILLOCT1AV= min (INVLOCT1AV , LIMLOC * (1+BOOL_0AM)  ) * (1-positif(null(2-V_REGCO)+null(4-V_REGCO)));
BILLOCT1= min (INVLOCT1 , max(0,LIMLOC * (1+BOOL_0AM)  - BILLOCT1AV) ) * (1-positif(null(2-V_REGCO)+null(4-V_REGCO)));
BILLOCT2AV= min (INVLOCT2AV , max(( LIMLOC * (1+BOOL_0AM) - BILLOCT1AV - BILLOCT1 ),0)) * (1-positif(null(2-V_REGCO)+null(4-V_REGCO))) ;
BILLOCT2= min (INVLOCT2 , max(( LIMLOC * (1+BOOL_0AM) - BILLOCT1AV - BILLOCT1 - BILLOCT2AV ),0)) * (1-positif(null(2-V_REGCO)+null(4-V_REGCO))) ;
BILRES= min (INVLOCRES , arr( LIMLOC * (1+BOOL_0AM) /6) ) ;

regle 40791 :
application : pro ,   oceans , iliad , batch  ;
RILNEUF = arr(BILNEUF * TX_REDIL25 / 100);
RILLOCT1 = (BILLOCT1 * TX_REDIL36 / 100);
RILLOCT2 = (BILLOCT2 * TX_REDIL18 / 100);
RILLOCT1AV = (BILLOCT1AV * TX_REDIL40 / 100);
RILLOCT2AV = (BILLOCT2AV * TX_REDIL20 / 100);
RILTRA = arr(RILLOCT1 + RILLOCT2 + RILLOCT1AV + RILLOCT2AV);
RILRES = arr(BILRES * TX_REDIL20 / 100);
RITOUR = RILNEUF 
        + RILTRA
	+ RILRES
        + arr((REPINVLOCINV + RINVLOCINV + REPINVTOU) * TX_REDIL25 / 100)
        + arr((REPINVLOCREA + RINVLOCREA + INVLOGREHA)* TX_REDIL20 / 100) ;
RIHOTR = arr((INVLOCHOTR1 + INVLOCHOTR + INVLOGHOT) * TX_REDIL25 / 100) * (1-positif(null(2-V_REGCO)+null(4-V_REGCO)));


RIVL1 = (min( arr( max( 0 , min(INVLOCNEUF,LIMLOC*(1+BOOL_0AM)) - arr(LIMLOC*(1+BOOL_0AM)/6))/6) 
            , min(INVLOCNEUF,LIMLOC*(1+BOOL_0AM)))
        + min(arr ( max ( 0 , min(INVLOCRES,LIMLOC*(1+BOOL_0AM)) - arr(LIMLOC*(1+BOOL_0AM)/6))/6) 
            , min(INVLOCRES,LIMLOC*(1+BOOL_0AM))))
     * positif(INDLOCNEUF + INDLOCRES) ;

RIVL1RES = (min ( max ( 0 , INVLOCNEUF - arr(LIMLOC*(1+BOOL_0AM)/6)),
                        arr(LIMLOC * (1+BOOL_0AM) / 6 )) 
          + min ( max ( 0, INVLOCRES - arr(LIMLOC*(1+BOOL_0AM)/6)),
       	                arr(LIMLOC * (1+BOOL_0AM) / 6 )))
                * (1 - positif(INDLOCNEUF + INDLOCRES));

RIVL2 = (max(min( arr( max( 0 , min(INVLOCNEUF,LIMLOC*(1+BOOL_0AM)) - arr(LIMLOC*(1+BOOL_0AM)/6))/6)
              , min(INVLOCNEUF,LIMLOC*(1+BOOL_0AM)) - RIVL1), 0)
        + max(min(arr ( max ( 0 , min(INVLOCRES,LIMLOC*(1+BOOL_0AM)) - arr(LIMLOC*(1+BOOL_0AM)/6))/6) 
            , min(INVLOCRES,LIMLOC*(1+BOOL_0AM)) - RIVL1), 0))
     * positif(INDLOCNEUF + INDLOCRES);

RIVL2RES = (min ( max ( 0, INVLOCNEUF - arr(LIMLOC*(1+BOOL_0AM)/6) - RIVL1RES),
		       arr(LIMLOC * (1+BOOL_0AM) / 6 ))
           + min ( max ( 0, INVLOCRES - arr(LIMLOC*(1+BOOL_0AM)/6) - RIVL1RES),
		       arr(LIMLOC * (1+BOOL_0AM) / 6 )))
                * (1 - positif(INDLOCNEUF + INDLOCRES));

RIVL3 = (max(min(arr ( max ( 0 , min(INVLOCNEUF,LIMLOC*(1+BOOL_0AM)) - arr(LIMLOC*(1+BOOL_0AM)/6))/6)
              , min(INVLOCNEUF,LIMLOC*(1+BOOL_0AM)) - RIVL1 - RIVL2), 0)
        + max(min(arr ( max ( 0 , min(INVLOCRES,LIMLOC*(1+BOOL_0AM)) - arr(LIMLOC*(1+BOOL_0AM)/6))/6) 
            , min(INVLOCRES,LIMLOC*(1+BOOL_0AM)) - RIVL1 - RIVL2), 0))
     * positif(INDLOCNEUF + INDLOCRES);

RIVL3RES = (min ( max ( 0, INVLOCNEUF - arr(LIMLOC*(1+BOOL_0AM)/6) - RIVL1RES - RIVL2RES),
		       arr(LIMLOC * (1+BOOL_0AM) / 6 ))
           + min ( max ( 0, INVLOCRES - arr(LIMLOC*(1+BOOL_0AM)/6) - RIVL1RES - RIVL2RES),
		       arr(LIMLOC * (1+BOOL_0AM) / 6 )))
                * (1 - positif(INDLOCNEUF + INDLOCRES));

RIVL4 = (max(min(arr ( max ( 0 , min(INVLOCNEUF,LIMLOC*(1+BOOL_0AM)) - arr(LIMLOC*(1+BOOL_0AM)/6))/6)
              , min(INVLOCNEUF,LIMLOC*(1+BOOL_0AM)) - RIVL1 - RIVL2 - RIVL3), 0)
        + max(min(arr ( max ( 0 , min(INVLOCRES,LIMLOC*(1+BOOL_0AM)) - arr(LIMLOC*(1+BOOL_0AM)/6))/6) 
            , min(INVLOCRES,LIMLOC*(1+BOOL_0AM)) - RIVL1 - RIVL2 - RIVL3), 0))
     * positif(INDLOCNEUF + INDLOCRES);

RIVL4RES = (min ( max ( 0, INVLOCNEUF - arr(LIMLOC*(1+BOOL_0AM)/6) - RIVL1RES - RIVL2RES - RIVL3RE